Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class Everyone

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--weblogic.security.acl.User
                  |
                  +--weblogic.security.acl.Everyone

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public final class Everyone
extends User
implements java.security.acl.Group

Everyone is an implementation of Group, which is includes everyone.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`Everyone(ListableRealm r)` Deprecated. Constructs the special group Everyone for the specified ListableRealm.

Method Summary
`boolean` | `addMember(java.security.Principal unnecessary)` Deprecated. Adds a member to the group.
`boolean` | `isMember(java.security.Principal doesntMatter)` Deprecated. Determines whether the specified Principal is a member of the group.
`java.util.Enumeration` | `members()` Deprecated. Returns an Enumeration of the members of a group.
`boolean` | `removeMember(java.security.Principal impossible)` Deprecated. Deletes a member from the group.

Methods inherited from class weblogic.security.acl.User
`getCredential, getRealm, identityEquals, toString`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Everyone

    public Everyone(ListableRealm r)

  Deprecated.
  Constructs the special group Everyone for the specified ListableRealm.

  Parameters:
    `r` - Realm within which to create the group

Method Detail

### isMember

    public boolean isMember(java.security.Principal doesntMatter)

  Deprecated.
  Determines whether the specified Principal is a member of the group. For the implementation of Everyone, there is by default no one outside the group, so the method must always return true.
  Specified by:
    isMember in interface java.security.acl.Group

  Parameters:
    `doesntMatter` - Principal
  Returns:
    true

### addMember

    public boolean addMember(java.security.Principal unnecessary)

  Deprecated.
  Adds a member to the group. For the implementation of Everyone, there is by default no one outside the group, so the method must always return true.
  Specified by:
    addMember in interface java.security.acl.Group

  Parameters:
    `unnecessary` - Principal
  Returns:
    true

### removeMember

    public boolean removeMember(java.security.Principal impossible)

  Deprecated.
  Deletes a member from the group. For the implementation of Everyone, there is by default no one outside the group, so the method must always throw an error.
  Specified by:
    removeMember in interface java.security.acl.Group

  Parameters:
    `impossible` - Principal
  Returns:
    None
  Throws:
    java.lang.IllegalArgumentException - if an attempt is made to remove any Principal from the group Everyone

### members

    public java.util.Enumeration members()

  Deprecated.
  Returns an Enumeration of the members of a group. The returned objects can be instances of either Principal or Group (a subclass of Principal).
  Specified by:
    members in interface java.security.acl.Group

  Returns:
    Users in a realm

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference